/*******************************************************************************
* concat_vol_file subroutine - Adapted from MPW toolkit C examples 
*
* subroutine description
*
*		Concatenate the volume name and the file name
*
* argument descriptions
*
*		argument		use
*		--------		---
*
*		filenam			Name resulting from the concatenation of the volume
*						name and the file name
*
*		vol				Volume name
*
*		file			File name
*
********************************************************************************/

/********************
* Standard C includes 
*********************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/***************************
* Macintosh toolbox includes
****************************/
#include <string.h>
#include <packages.h>

void concat_vol_file (char *filenam,StringPtr vol,StringPtr file)
{
  strcat(filenam,p2cstr(vol));
  strcat(filenam,":");
  strcat(filenam,p2cstr(file));
}