/***************************************************************
* macinit subroutine - Written by Janet Barrett at USGS, Flagstaff
*
* program description
*
*	Initialize the Macintosh toolbox
*
****************************************************************/

/********************
* Standard C includes 
*********************/
#include <ctype.h>
#include <stdio.h>
#include <errno.h>
#include <fcntl.h>
#include <stdlib.h>
#include <string.h>

/***************************
* Macintosh toolbox includes 
****************************/
#include <Packages.h>

void macinit ()
{
/*********************
* Initialize QuickDraw 
**********************/
  InitGraf((Ptr) &qd.thePort);
  
/****************************
* Initialize the Font Manager 
*****************************/
  InitFonts();
  
/******************************
* Initialize the Window Manager 
*******************************/
  InitWindows();
  
/****************************
* Initialize the Menu Manager 
*****************************/
  InitMenus();
  
/********************
* Initialize TextEdit 
*********************/
  TEInit();
  
/******************************
* Initialize the Dialog Manager
*******************************/
  InitDialogs(nil);
  
/*********************************************************
* Set the cursor to the standard arrow and make it visible 
**********************************************************/
  InitCursor();
 }